Class | WEBrick::HTTPVersion
In: | webrick/httpversion.rb
Parent: | Object

### Methods

<=> convert new to_s

### Included Modules

Comparable

### Attributes

major | [RW] |
minor | [RW] |

### Public Class methods

convert(version)

[Source]

    # File webrick/httpversion.rb, line 16
        def self.convert(version)
          version.is_a?(self) ? version : new(version)
        end

new(version)

[Source]

    # File webrick/httpversion.rb, line 20
        def initialize(version)
          case version
          when HTTPVersion
            @major, @minor = version.major, version.minor
          when String
            if /^(\d+)\.(\d+)$/ =~ version
              @major, @minor = $1.to_i, $2.to_i
            end
          end
          if @major.nil? || @minor.nil?
            raise ArgumentError,
              format("cannot convert %s into %s", version.class, self.class)
          end
        end

### Public Instance methods

<=>(other)

[Source]

    # File webrick/httpversion.rb, line 35
        def <=>(other)
          unless other.is_a?(self.class)
            other = self.class.new(other)
          end
          if (ret = @major <=> other.major) == 0
            return @minor <=> other.minor
          end
          return ret
        end

to_s()

[Source]

    # File webrick/httpversion.rb, line 45
        def to_s
          format("%d.%d", @major, @minor)
        end

[Validate]